> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutacija: izvozi ZonesMap kot zapakiran Shapefile

Ustvari arhiv ZIP z izbranim »ZonesMap« v obliki shapefile.

{% hint style="info" %}
Arhiv vsebuje datoteke \*.shp, \*.shx, \*.prj in \*.dbf v koordinatnem sistemu EPSG:4326.
{% endhint %}

### 1. Priprava

* Atribut `vectorAnalysisMaps` vsebuje polje objektov ZonesMaps (VectorAnalysisMaps), ki jih želite izvoziti. Vsak tak objekt vključuje par `fieldUuid` (povezava z izbranim poljem) in `uuid` (povezava z izbranim ZonesMap).
* Logični atribut `asMultiGeometry` določa, ali se območja izvozijo kot `Polygons` ali `MultiPolygons` (ko je nastavljen na `true` ).
* Logični atribut `onlyProductColumns` določa, ali naj bodo v shapefile vključeni samo stolpci s proizvodi (RX) (ko je nastavljen na `true`). V nasprotnem primeru bodo kot stolpci vključeni vsi statistični atributi in ID-ji območij.
* Atribut `archiveName` vsebuje ime ustvarjenega arhiva ZIP.
* Atribut `filePostfix` omogoča dodajanje pripon po meri izvoženim datotekam in arhivu.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Prenos ustvarjenega arhiva

Po izvedbi poizvedbe GraphQL ga lahko prenesete z ukazom `curl` ali podobnim postopkom.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
